import BookingWrapper from './Index';
export default {
  title: 'Component/Layout/BookingWrapper',
  tags: ['autodocs'],
  component: BookingWrapper,
  argTypes: {
    onSeatClick: { action: 'Seat clicked' }
  }
};

export const Default = {
  args: {
    selectedSeats: [
      {
        row: 3,
        seat: 1
      },
      {
        row: 3,
        seat: 2
      },
      {
        row: 4,
        seat: 1
      },
      {
        row: 4,
        seat: 2
      },
      {
        row: 4,
        seat: 3
      },
      {
        row: 4,
        seat: 4
      }
    ],
    seatData: [
      ['*', 1, 2, 3, '*', 4, 5, 6, '*'],
      [1, 2, 3, 4, '*', 5, 6, 7, 8],
      [1, 2, 3, 4, '*', 5, 6, 7, 8],
      [1, 2, 3, 4, '*', 5, 6, 7, 8],
      [1, 2, 3, 4, '*', 5, 6, 7, 8],
      [1, 2, 3, 4, '*', 5, 6, 7, 8],
      [1, 2, 3, 4, '*', 5, 6, 7, 8],
      ['*', 1, 2, 3, '*', 4, 5, 6, '*']
    ],
    currentSeats: [
      {
        row: 3,
        seat: 1
      },
      {
        row: 3,
        seat: 2
      }
    ]
  }
};
